# $Revision: 1.60 $, $Date: 2012/01/28 17:21:17 $
#
# bconds:
%bcond_without	home_etc    # disable HOME_ETC support
%bcond_without	ffmpeg      # disable ffmpeg
#
Summary:	Console audio player with simple ncurses interface
Summary(hu.UTF-8):	Konzolos audiólejátszó egyszerű ncurses felülettel
Summary(pl.UTF-8):	Konsolowy odtwarzacz audio z prostym interfejsem ncurses
Name:		moc
Version:	2.4.4
Release:	10
License:	GPL
Group:		Applications/Sound
Source0:	ftp://ftp.daper.net/pub/soft/moc/stable/%{name}-%{version}.tar.bz2
# Source0-md5:	647c770a5542a4ae5437386807a89796
Patch0:		%{name}-home_etc.patch
Patch1:		ncurses-tinfo.patch
Patch2:		ffmpeg071.patch
URL:		http://moc.daper.net/
BuildRequires:	a52dec-libs-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	curl-devel
%{?with_ffmpeg:BuildRequires:	ffmpeg-devel >= 0.4.9-4.20080822.1}
BuildRequires:	flac-devel >= 1.1.3
BuildRequires:	libao-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libltdl-devel
BuildRequires:	libmad-devel
BuildRequires:	libmpcdec-devel >= 1.2
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libtool
BuildRequires:	libvorbis-devel
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	speex-devel
BuildRequires:	taglib-devel >= 1.3.1
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_decoder_plugins	%{_libdir}/%{name}/decoder_plugins

%description
MOC is a console audio player with simple ncurses interface in
playmp3list style. It supports MP3, Ogg, FLAC, Musepack, Speex, WAV
and other less popular formats supported by libsndfile. It has all
functions one may expect from simple audio player. Now it supports net
streams (shoutcast, icecast, regular HTTP, FTP) also.

%description -l hu.UTF-8
MOC egy konzolos audió lejátszó egyszerű ncurses felülettel
playmp3list stílusban. MP3, Ogg, FLAC, Musepack, Speex, WAV és egyéb
kevésbé elterjedt formátumokat támogat a libsndfile segítségével.
Minden funkció megtalálható a programban, amelyet egy egyszerű audió
lejátszótól elvárható. A hálózati streameket (shoutcast, icecast,
általános HTTP, FTP) is támogatja.

%description -l pl.UTF-8
MOC to konsolowy odtwarzacz audio z prostym interfejsem budzącym
skojarzenia z playmp3list. Obsługuje formaty MP3, Ogg, FLAC, Musepack,
Speex, WAV oraz inne mniej popularne formaty wspierane przez
bibliotekę libsndfile. Ma wszystkie funkcje, których można spodziewać
się w prostym odtwarzaczu audio. Teraz także obsługuje strumienie
sieciowe (shoutcast, icecast, HTTP, FTP).

%package mp3
Summary:	MP3 decoder for MoC - Music on Console
Summary(hu.UTF-8):	MP3 formátum támogatása MoC-hoz
Summary(pl.UTF-8):	Dekoder MP3 dla MOC
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-input = %{version}-%{release}

%description mp3
This package contains the MP3 decoder. After install you should reload
MOC player.

%description mp3 -l hu.UTF-8
Ez a csomag az MP3 dekódert tartalmazza. A telepítés után a MOC
lejátsztót újra kell indítani.

%description mp3 -l pl.UTF-8
Ten pakiet zawiera dekodowanie formatu MP3. Po zainstalowaniu należy
uruchomić ponownie MOC.

%package musepack
Summary:	Musepack (MPC) decoder for MoC - Music on Console
Summary(hu.UTF-8):	Musepack (MPC) dekóder MoC-hoz
Summary(pl.UTF-8):	Dekoder Musepack (MPC) dla MOC
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-input = %{version}-%{release}

%description musepack
This package contains the Musepack (MPC) decoder. After install you
should reload MOC player.

%description musepack -l hu.UTF-8
Ez a csomag a Musepack (MPC) dekódert tartalmazza. A telepítés után a
MOC lejátsztót újra kell indítani.

%description musepack -l pl.UTF-8
Ten pakiet zawiera dekodowanie formatu Musepack (MPC). Po
zainstalowaniu należy uruchomić ponownie MOC.

%package ogg
Summary:	Ogg decoder for MoC - Music on Console
Summary(hu.UTF-8):	Ogg dekóder MOC-hoz
Summary(pl.UTF-8):	Dekoder Ogg dla MOC
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-input = %{version}-%{release}

%description ogg
This package contains the Ogg decoder. After install you should reload
MOC player.

%description ogg -l hu.UTF-8
Ez a csomag az Ogg dekódert tartalmazza. A telepítés után a MOC
lejátsztót újra kell indítani.

%description ogg -l pl.UTF-8
Ten pakiet zawiera dekodowanie formatu Ogg. Po zainstalowaniu należy
uruchomić ponownie MOC.

%package flac
Summary:	FLAC decoder for MoC - Music on Console
Summary(hu.UTF-8):	FLAC dekóder MOC-hoz
Summary(pl.UTF-8):	Dekoder FLAC dla MOC
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-input = %{version}-%{release}

%description flac
This package contains the FLAC decoder. After install you should
reload MOC player.

%description flac -l hu.UTF-8
Ez a csomag az FLAC dekódert tartalmazza. A telepítés után a MOC
lejátsztót újra kell indítani.

%description flac -l pl.UTF-8
Ten pakiet zawiera dekodowanie formatu FLAC. Po zainstalowaniu należy
uruchomić ponownie MOC.

%package ffmpeg
Summary:	ffmpeg decoder for MoC - Music on Console
Summary(hu.UTF-8):	ffmpeg dekóder MOC-hoz
Summary(pl.UTF-8):	Dekoder ffmpeg dla MOC
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-input = %{version}-%{release}

%description ffmpeg
This package contains module to decode WMA (and others) files. After
install you should reload MOC player.

%description ffmpeg -l hu.UTF-8
Ez a csomag az ffmpeg dekódert tartalmazza. A telepítés után a MOC
lejátsztót újra kell indítani.

%description ffmpeg -l pl.UTF-8
Ten pakiet zawiera moduł dekodujący pliki w formacie WMA (i nie tylko)
Po zainstalowaniu należy uruchomić ponownie MOC.

%package sndfile
Summary:	Decoder of the sndfile formats for MoC - Music on Console
Summary(hu.UTF-8):	sndfile dekóder MOC-hoz
Summary(pl.UTF-8):	Dekoder plików WAV/AIFF
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-input = %{version}-%{release}

%description sndfile
This package contains the decoders of sndfile. After install you
should reload MOC player.

%description sndfile -l hu.UTF-8
Ez a csomag az sndfile dekódert tartalmazza. A telepítés után a MOC
lejátsztót újra kell indítani.

%description sndfile -l pl.UTF-8
Ten pakiet zapewnia dekodowanie plików WAV/AIFF. Po zainstalowaniu
należy uruchomić ponownie MOC.

%package speex
Summary:	Speex decoder for MoC - Music on Console
Summary(hu.UTF-8):	Speex dekóder MOC-hoz
Summary(pl.UTF-8):	Dekoder formatu Speex dla MOC
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-input = %{version}-%{release}

%description speex
This package contains the Speex decoder. After install you should
reload MOC player.

%description speex -l hu.UTF-8
Ez a csomag az speex dekódert tartalmazza. A telepítés után a MOC
lejátsztót újra kell indítani.

%description speex -l pl.UTF-8
Ten pakiet zapewnia dekodowanie formatu Speex. Po zainstalowaniu
należy uruchomić ponownie MOC.

%prep
%setup -q
%{?with_home_etc:%patch0 -p1}
%patch1 -p1
%patch2 -p2

rm -rf libltdl
%{__sed} -i -e '/SUBDIRS/ s/libltdl//' Makefile.am
%{__sed} -i -e '
	/LT_CONFIG_LTDL_DIR/d
	/LT_INIT/d
	/LTDL_INIT/d
	/AC_CONFIG_AUX_DIR/d
	/AC_CONFIG_MACRO_DIR/d
' configure.in

%build
CFLAGS="-I/usr/include/ncurses %{rpmcflags}"

%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	%{!?with_ffmpeg:--without-ffmpeg} \
	--disable-debug

%{__make} \
	LIBLTDL=-lltdl

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}
rm -f $RPM_BUILD_ROOT%{_decoder_plugins}/lib*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS TODO *.example
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/moc
%dir %{_libdir}/moc/decoder_plugins
%{_datadir}/%{name}
%{_mandir}/man1/mocp*

%files musepack
%defattr(644,root,root,755)
%attr(755,root,root) %{_decoder_plugins}/libmusepack_decoder.so*

%files flac
%defattr(644,root,root,755)
%attr(755,root,root) %{_decoder_plugins}/libflac_decoder.so*

%if %{with ffmpeg}
%files ffmpeg
%defattr(644,root,root,755)
%attr(755,root,root) %{_decoder_plugins}/libffmpeg_decoder.so
%endif

%files mp3
%defattr(644,root,root,755)
%attr(755,root,root) %{_decoder_plugins}/libmp3_decoder.so*

%files ogg
%defattr(644,root,root,755)
%attr(755,root,root) %{_decoder_plugins}/libvorbis_decoder.so*

%files sndfile
%defattr(644,root,root,755)
%attr(755,root,root) %{_decoder_plugins}/libsndfile_formats_decoder.so*

%files speex
%defattr(644,root,root,755)
%attr(755,root,root) %{_decoder_plugins}/libspeex_decoder.so*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: moc.spec,v $
Revision 1.60  2012/01/28 17:21:17  arekm
- release 10

Revision 1.59  2012/01/03 20:12:00  lisu
- rel 9

Revision 1.58  2011/09/18 20:04:59  sls
- added ffmpeg071.patch

Revision 1.57  2011/09/18 20:00:27  sls
- added ffmpeg bcond

Revision 1.56  2011/09/09 19:10:22  arekm
- release 8

Revision 1.55  2011/09/01 17:05:27  arekm
- release 7

Revision 1.54  2011/08/31 18:28:26  arekm
- release 6

Revision 1.53  2011/07/24 15:54:55  arekm
- release 5

Revision 1.52  2011/06/27 19:22:42  arekm
- release 4

Revision 1.51  2011/01/28 14:24:47  sparky
- unified first line (one with cvs keywords)

Revision 1.50  2010/08/26 21:09:15  glen
- add -ltinfow patch; rel 3

Revision 1.49  2010/08/26 21:00:16  glen
- use system ltdl

Revision 1.48  2009/09/17 15:50:51  uzsolt
- hu

Revision 1.47  2009/02/18 20:52:45  arekm
- release 2

Revision 1.46  2009/01/04 18:47:48  uzsolt
- 2.4.4
- patches deleted

Revision 1.45  2008/10/13 18:11:16  qboosh
- ffmpeg version for new include paths

Revision 1.44  2008/10/13 15:55:01  sls
- added layout-1-is-malformed-fix.patch

Revision 1.43  2008/10/13 15:48:20  sls
- added libtool.patch
- rel. 1

Revision 1.42  2008/10/13 15:45:39  sls
- added ffmpeg.patch

Revision 1.41  2008/10/13 15:43:14  sls
- Source0-md5 sum updated
- rm flac.patch
- __libtoolize

Revision 1.40  2008/10/13 15:38:20  sls
- ver. 2.4.3 (NFY)

Revision 1.39  2008/02/21 18:13:14  glen
- release 7

Revision 1.38  2008-02-07 13:41:15  glen
- rel 6 (ffmpeg)

Revision 1.37  2007-10-27 23:38:27  twittner
- BR: a52dec-libs-devel added
- rel. 5 to rebuild after libmpcdec soname change

Revision 1.36  2007/02/13 06:46:54  glen
- tabs in preamble

Revision 1.35  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.34  2007/01/02 05:12:23  sls
- added patch flac
- BR: flac >= 1.1.3
- rel 4

Revision 1.33  2006/12/10 12:34:58  glen
- rel 3 (ffmpeg rebuild)

Revision 1.32  2006/11/13 00:03:51  teodor
- fixed bug in home_etc patch

Revision 1.31  2006/11/07 14:16:03  teodor
- up to 2.4.1

Revision 1.30  2006/07/14 14:08:24  teodor
- BR: speex-devel

Revision 1.29  2006/04/06 09:24:56  qboosh
- restored pl for -flac

Revision 1.28  2006/04/06 08:38:23  teodor
- up to 2.4.0 stable
- ffmpeg plugin move into subpackage

Revision 1.27  2006/01/30 08:36:33  teodor
- updated to 2.4.0-beta2

Revision 1.26  2006/01/22 21:13:34  qboosh
- tabs, attr cleanups, removed Rs which should be autogenerated

Revision 1.25  2006/01/22 20:19:06  teodor
- move decoders to subpackages
- change rel. name to more propery

Revision 1.24  2006/01/18 16:05:26  teodor
- updated to 2.4.0beta1

Revision 1.23  2005/10/12 00:00:43  charles
- BR: libtool, updated %doc

Revision 1.22  2005/10/06 10:49:58  teodor
- up to 2.3.2 thanks to Maciek Mitura <emkwadrat@poczta.onet.pl>

Revision 1.21  2005/07/29 00:13:41  charles
- ALSA support - BR: alsa-lib-devel

Revision 1.20  2005/07/28 16:51:57  qboosh
- removed bogus autogen BR

Revision 1.19  2005/07/28 16:36:51  qboosh
- missing dirs, .so perms, desc fixes, BR: libltdl-devel

Revision 1.18  2005/07/28 16:04:55  jasw
- up to 2.3.0 thx Badman - pld(at)vp.pl

Revision 1.17  2005/05/17 22:21:23  koorek
- updated to 2.2.2

Revision 1.16  2005/05/07 11:31:04  saq
- remove ncurses.patch -- unnecessary in presence of valid CFLAGS

Revision 1.15  2005/04/10 19:10:59  saq
- missing BR

Revision 1.14  2005/02/27 11:35:55  qboosh
- missing dirs

Revision 1.13  2005/02/27 04:43:35  koorek
- Up to 2.2.0 (stable)
- Added BR flac-devel, libsndfile-devel
- Added themes and example configs

Revision 1.12  2005/01/09 18:00:46  adamg
- updated to 2.1.4

Revision 1.11  2004/12/20 19:48:53  qboosh
- fixed typo in version in last commit message

Revision 1.10  2004/12/17 17:43:04  kolodko
- up to 2.1.3
- disable-debug
- added man page

Revision 1.9  2004/11/03 21:49:31  paszczus
- updated to 2.0.0
- release 0.1 - test build please

Revision 1.8  2004/10/28 11:36:31  paladine
- "Ogg" and "Vorbis" unification

Revision 1.7  2003/12/13 12:18:32  qboosh
- s/mad-devel/libmad-devel/

Revision 1.6  2003/11/11 02:06:30  qboosh
- BR: ac,am

Revision 1.5  2003/08/18 08:08:21  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.4  2003/07/11 12:28:23  ankry
- URL fixes and other cosmetics

Revision 1.3  2003/05/28 12:59:45  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 05:50:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/02/03 21:22:20  migo
- initial revision
- what is a proper solution for ncurses include path problem?
